<div >
    <p>1. Take a button. There should be a division below it. When you click on it. The color of division should alter between black and red, as you click on the button</p>
    <button (click)="change_color()" class="btn btn-primary">Change Color</button>
    <div class="mt-2" style="height:100px; width:100px; background:{{color}}; border-radius: 10px;"></div>
</div>